<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.oa.mapper.OaBusinessProductMapper">

    <resultMap type="com.ruoyi.oa.domain.OaBusinessProduct" id="OaBusinessProductResult">
        <result property="businessProductId" column="business_product_id"/>
        <result property="businessId" column="business_id"/>
        <result property="productId" column="product_id"/>
        <result property="productPrice" column="product_price"/>
        <result property="businessPrice" column="business_price"/>
        <result property="count" column="count"/>
        <result property="totalPrice" column="total_price"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="delFlag" column="del_flag"/>
    </resultMap>
    <delete id="deleteByBusinessId">
        delete from oa_business_product where business_id = #{businessId}
    </delete>

    <select id="selectByBusinessId" resultType="com.ruoyi.oa.domain.OaBusinessProduct">
        select * from oa_business_product where business_id = #{businessId}
    </select>
</mapper>
